# {{ ansible_managed }}
#
# publisher.properties
#

# the Content Server account to use for publishing
publisher.local.user     = {{ content_management.publisher.local.user }}
publisher.local.domain   = {{ content_management.publisher.local.domain }}
publisher.local.password = {{ content_management.publisher.local.password }}

# the publication server account to use for publishing
publisher.target.user     = {{ content_management.publisher.target.user }}
publisher.target.domain   = {{ content_management.publisher.target.domain }}
publisher.target.password = {{ content_management.publisher.target.password }}

# where to get the login service IOR of the publication server
# (must correspond to the contentserver.properties of the publication server)
publisher.target.ior.url  = {{ content_management.publisher.target.ior_url }}

# whether publication previews bypass ("true"=default) or not ("false")
# the publication queue for faster response times.
publisher.enableBypassPreviews=true

# on publication, destroy all unpublished versions between this and the last published version *on the content server*
# possible values are 'strict', 'dumb' and 'off'
publisher.destroyIntermediateVersions=strict

# destroy older published versions on the live servers
# default is true
publisher.destroyOlderVersionsOnLiveServers=true

# when automatically extending the publication set because of a link to an unpublished document, use the latest
# instead of the earliest approved version of document. Default is false.
publisher.autoextend.latestApprovedVersion=false

# when publishing a version of a document, for all documents referenced from that version, check if a newer approved
# version exists.  If so, publish these latest approved versions.  This is applied recursively.
# Note that publication sets may become surprisingly large.
# This setting makes most sense when not using publication workflows.
# default is false.
publisher.autoextend.updateLinkedDocuments=false

# The maximum number of implicitly added documents and folders whose publication
# may fail before no further documents and folders may be added implicitly.
# If set to 0, do not stop adding documents and folders even if there are
# many failures. 0 is the default.
publisher.autoextend.maxFailures=0

# an alternate target configuration for multiple live servers
# publisher.target.1.name=
# publisher.target.1.display.name=
# publisher.target.1.user=publisher
# publisher.target.1.domain=
# publisher.target.1.password=publisher
# publisher.target.1.ior.url=
# publisher.target.1.folders=
# publisher.target.2.name=
# publisher.target.2.display.name=
# publisher.target.2.user=publisher
# publisher.target.2.domain=
# publisher.target.2.password=publisher
# publisher.target.2.ior.url=
# publisher.target.2.folders=

# the priority values for various session types
publisher.priority.gui.editor=60
publisher.priority.uapi=40
publisher.priority.generator=40
publisher.priority.jpython=20
publisher.priority.importer=20
publisher.priority.utility=20
publisher.priority.unknown=20

publisher.maxRecursionDepth = {{ content_management.publisher.max_recursion_depth }}
